From 3fae2ce9fb0350f02142bec4ea60f52f48b9ca2f Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Wed, 10 Aug 2022 09:39:58 -0400
Subject: [PATCH v1] Be more specific about exactly what has gone wrong.

---
 src/backend/postmaster/auxprocess.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/postmaster/auxprocess.c b/src/backend/postmaster/auxprocess.c
index 39ac4490db..28509a08f7 100644
--- a/src/backend/postmaster/auxprocess.c
+++ b/src/backend/postmaster/auxprocess.c
@@ -81,7 +81,7 @@ AuxiliaryProcessMain(AuxProcType auxtype)
 			MyBackendType = B_WAL_RECEIVER;
 			break;
 		default:
-			elog(ERROR, "something has gone wrong");
+			elog(ERROR, "unrecognized AuxProcType: %d", (int) auxtype);
 			MyBackendType = B_INVALID;
 	}
 
-- 
2.24.3 (Apple Git-128)

